<?php	
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varDia, $varVen, $varRut) {
	$varDia = (isset($varDia) && $varDia<>"")?"'".FechaMySql($varDia)."'":"NULL";
	$varVen  = ($varVen<>"")?"\"(".$varVen.")\"":"NULL";
	$varRut  = ($varRut<>"")?"\"(".str_replace("\\","",$varRut).")\"":"NULL";
	
	$sql = "call spQuery_Packing_Documentos($varDia,$varVen,$varRut)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = "PACKING DE DOCUMENTOS";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}
	
function xBuscar($varDia, $varVen, $varRut) {
	$var = VarServer("MYSQLI");
	$obj = new clsPackingDocumento($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varDia, $varVen, $varRut);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
	
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {
		var varDia = xajax.$("eini").value;
		var varVen = xajax.$("vcod");
		var varRut = xajax.$("rcod");
		var varCadVen = "";
		var varCadRut = "";
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varRut.length; i++)	{  
			if(varCadRut=="") 
				varCadRut =  "'"+varRut.options[i].value+"'";
			else 
				varCadRut =  varCadRut+",'"+varRut.options[i].value+"'";			
			}
		if (xajax.$("eini") && xajax.$("eini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA");
			xajax.$("eini").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(varDia, varCadVen, varCadRut);
			}		
		}
		
	function xExportarJS() {
		var varDia = xajax.$("eini").value;
		var varVen = xajax.$("vcod");
		var varRut = xajax.$("rcod");
		var varCadVen = "";
		var varCadRut = "";
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varRut.length; i++)	{  
			if(varCadRut=="") 
				varCadRut =  "'"+varRut.options[i].value+"'";
			else 
				varCadRut =  varCadRut+",'"+varRut.options[i].value+"'";			
			}
		if (xajax.$("eini") && xajax.$("eini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA");
			xajax.$("eini").focus()
			return (false); 
			}
		else {
			xajax_xExportar(varDia, varCadVen, varCadRut);
			}
		}
	
	function xImprimirJS() {
		var varDia = xajax.$("eini").value;
		var varVen = xajax.$("vcod");
		var varRut = xajax.$("rcod");
		var varCadVen = "";
		var varCadRut = "";
		//Capturamos relacion de vendedores
		for (var i = 0; i < varVen.length; i++)	{  
			if(varCadVen=="") 
				varCadVen =  varVen.options[i].value;
			else 
				varCadVen =  varCadVen+','+varVen.options[i].value;			
			}
		//Capturamos relacion de rutas
		for (var i = 0; i < varRut.length; i++)	{  
			if(varCadRut=="") 
				varCadRut =  "'"+varRut.options[i].value+"'";
			else 
				varCadRut =  varCadRut+",'"+varRut.options[i].value+"'";			
			}
		if (xajax.$("eini") && xajax.$("eini").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA");
			xajax.$("eini").focus()
			return (false); 
			}
		else {
			var Ruta = 'print/print_packing_documentos.php?eini='+varDia+'&vcod='+varCadVen+'&rcod='+varCadRut;
			testwindow= window.open (Ruta, "print_documento", "location=no,status=no,toolbar=no,scrollbars=1,width=1100,height=500");
			}	
		}

</script>
<?php
function MyTable($obj, $titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>